Bug 858893 - Crash in xen-netfront trying to install Fedora 18 Alpha
Crash in xen-netfront trying to install Fedora 18 Alpha
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 19:14 EDT by Michael Young
Modified: 2012-11-13 10:43 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-13 10:43:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Young 2012-09-19 19:14:19 EDT
I get the following crash if I try to install Fedora 18 Alpha as a DomU guest with a network interface (this is on an Fedora 17 dom0 running xen 4.2)

[   19.364922] BUG: unable to handle kernel NULL pointer dereference at 0000000000000010
[   19.365066] IP: [<ffffffffa013085e>] xennet_poll+0x94e/0xf10 [xen_netfront]
[   19.365066] PGD 2b64a067 PUD 2b64b067 PMD 0 
[   19.365066] Oops: 0000 [#1] SMP 
[   19.365066] Modules linked in: microcode(+) nls_utf8 xen_netfront xen_blkfront sunrpc xts lrw gf128mul dm_crypt dm_round_robin dm_multipath linear raid10 raid456 async_raid6_recov async_memcpy async_pq raid6_pq async_xor xor async_tx raid1 raid0 scsi_dh_rdac scsi_dh_hp_sw scsi_dh_emc scsi_dh_alua squashfs cramfs
[   19.365066] CPU 0 
[   19.365066] Pid: 489, comm: NetworkManager Not tainted 3.6.0-0.rc2.git2.1.fc18.x86_64 #1  
[   19.365066] RIP: e030:[<ffffffffa013085e>]  [<ffffffffa013085e>] xennet_poll+0x94e/0xf10 [xen_netfront]
[   19.365066] RSP: e02b:ffff88003fc03cd8  EFLAGS: 00010282
[   19.365066] RAX: ffff880034ec9140 RBX: 0000000000000001 RCX: 0000000000000000
[   19.365066] RDX: 000000000000009a RSI: 000000000000005a RDI: ffff88003d4e7b00
[   19.365066] RBP: ffff88003fc03eb8 R08: 0000000000000000 R09: ffff880034ec9000
[   19.365066] R10: 0000000000000200 R11: 0000000000000000 R12: ffff8800348a0b00
[   19.365066] R13: ffff88003d4e7b00 R14: ffff88003d4e7b00 R15: ffff88003fc03d50
[   19.365066] FS:  00007f8f26a4b840(0000) GS:ffff88003fc00000(0000) knlGS:0000000000000000
[   19.365066] CS:  e033 DS: 0000 ES: 0000 CR0: 000000008005003b
[   19.365066] CR2: 0000000000000010 CR3: 000000002b67e000 CR4: 0000000000002660
[   19.365066] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   19.365066] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[   19.365066] Process NetworkManager (pid: 489, threadinfo ffff88002b750000, task ffff88002b748000)
[   19.365066] Stack:
[   19.365066]  00000004823e7340 ffff8800348a1840 000000403fc03d08 ffff8800348a0000
[   19.365066]  000000000000000a ffff8800348a04a8 ffff8800348a0b18 ffff8800348a2190
[   19.365066]  0000000000000012 ffff88000000000a ffffffff0000005a ffff88003fc03dc0
[   19.365066] Call Trace:
[   19.365066]  <IRQ> 
[   19.365066]  [<ffffffff8104bd81>] ? pvclock_clocksource_read+0x61/0xf0
[   19.365066]  [<ffffffff810102e9>] ? xen_clocksource_read+0x39/0x50
[   19.365066]  [<ffffffff8159a7b2>] net_rx_action+0x172/0x340
[   19.365066]  [<ffffffff81071e77>] ? __do_softirq+0x167/0x3d0
[   19.365066]  [<ffffffff81071e00>] __do_softirq+0xf0/0x3d0
[   19.365066]  [<ffffffff816e7d7c>] call_softirq+0x1c/0x30
[   19.365066]  <EOI> 
[   19.365066]  [<ffffffff8101c365>] do_softirq+0xa5/0xe0
[   19.365066]  [<ffffffffa0130e79>] ? xennet_open+0x59/0xe0 [xen_netfront]
[   19.365066]  [<ffffffff81071d05>] local_bh_enable_ip+0xf5/0x100
[   19.365066]  [<ffffffff816dda74>] _raw_spin_unlock_bh+0x44/0x50
[   19.365066]  [<ffffffffa0130e79>] xennet_open+0x59/0xe0 [xen_netfront]
[   19.365066]  [<ffffffff8159c8ff>] __dev_open+0x8f/0xf0
[   19.365066]  [<ffffffff8159cbc1>] __dev_change_flags+0xa1/0x180
[   19.365066]  [<ffffffff8159cd58>] dev_change_flags+0x28/0x70
[   19.365066]  [<ffffffff815aaca8>] do_setlink+0x378/0xa00
[   19.365066]  [<ffffffff816ddb7b>] ? _raw_spin_unlock+0x2b/0x50
[   19.365066]  [<ffffffff81365dd1>] ? nla_parse+0x31/0xe0
[   19.365066]  [<ffffffff815ad3de>] rtnl_newlink+0x37e/0x560
[   19.365066]  [<ffffffff812e1119>] ? selinux_capable+0x39/0x50
[   19.365066]  [<ffffffff812dd6c8>] ? security_capable+0x18/0x20
[   19.365066]  [<ffffffff815acc04>] rtnetlink_rcv_msg+0x114/0x2f0
[   19.365066]  [<ffffffff815a9a77>] ? rtnl_lock+0x17/0x20
[   19.365066]  [<ffffffff815a9a77>] ? rtnl_lock+0x17/0x20
[   19.365066]  [<ffffffff810d61c1>] ? lock_release+0xc1/0x310
[   19.365066]  [<ffffffff815acaf0>] ? __rtnl_unlock+0x20/0x20
[   19.365066]  [<ffffffff815c8f91>] netlink_rcv_skb+0xa1/0xb0
[   19.365066]  [<ffffffff815a9aa5>] rtnetlink_rcv+0x25/0x40
[   19.365066]  [<ffffffff815c889d>] netlink_unicast+0x19d/0x220
[   19.365066]  [<ffffffff815c8c5d>] netlink_sendmsg+0x33d/0x3e0
[   19.365066]  [<ffffffff815824c8>] ? sock_update_classid+0x148/0x2e0
[   19.365066]  [<ffffffff8157d11c>] sock_sendmsg+0xbc/0xf0
[   19.365066]  [<ffffffff8157d647>] ? sock_recvmsg+0xd7/0x110
[   19.365066]  [<ffffffff8157d4fc>] __sys_sendmsg+0x3ac/0x3c0
[   19.365066]  [<ffffffff810d64cf>] ? lock_acquire+0xbf/0x1f0
[   19.365066]  [<ffffffff811d18bc>] ? fget_light+0x3c/0x520
[   19.365066]  [<ffffffff810d61c1>] ? lock_release+0xc1/0x310
[   19.365066]  [<ffffffff811d1979>] ? fget_light+0xf9/0x520
[   19.365066]  [<ffffffff811d18bc>] ? fget_light+0x3c/0x520
[   19.365066]  [<ffffffff8157fb29>] sys_sendmsg+0x49/0x90
[   19.365066]  [<ffffffff816e6aa9>] system_call_fastpath+0x16/0x1b
[   19.365066] Code: 01 4c 89 f7 41 8b 46 68 48 01 43 10 e8 dc 8e 46 e1 e9 37 fd ff ff 0f 1f 80 00 00 00 00 41 8b 85 d0 00 00 00 49 03 85 d8 00 00 00 <80> 3c 25 10 00 00 00 00 74 0f 48 83 3c 25 08 00 00 00 00 0f 84 
[   19.365066] RIP  [<ffffffffa013085e>] xennet_poll+0x94e/0xf10 [xen_netfront]
[   19.365066]  RSP <ffff88003fc03cd8>
[   19.365066] CR2: 0000000000000010
[   19.410530] ---[ end trace 3ca49fad96f07aa3 ]---
[   19.410990] Kernel panic - not syncing: Fatal exception in interrupt
Comment 1 Konrad Rzeszutek Wilk 2012-10-02 10:09:11 EDT
The fix is in 3.6.0-rc5. Nothing to do but wait until the ISO has new kernel.
Comment 2 Josh Boyer 2012-10-02 11:31:07 EDT
(In reply to comment #1)
> The fix is in 3.6.0-rc5. Nothing to do but wait until the ISO has new kernel.

We're at 3.6 final now on f18.  We'll mark this as modified as the Beta should have this fixed already when it's released.
Comment 3 Michael Young 2012-10-06 12:59:52 EDT
I installed F18 Beta TC2 with the network enabled, so it looks like the bug is indeed fixed.

Note You need to log in before you can comment on or make changes to this bug.